---
title: "Delete theme"
description: "Delete existing theme"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/online-store/theme/delete-theme'
  md: 'https://developer.shopline.com/docs/admin-rest-api/online-store/theme/delete-theme.md'
---
# Delete theme

Delete existing theme

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `write_content`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
DELETE /themes/:theme_id.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `write_content`

## Request

### Path Parameters

* `theme_id`

  string (required)

  Theme id

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `theme`

  object

  Theme information

  * `name`

    string

    Theme name

  * `original_theme_id`

    string

    Official theme template id , if the theme is not from the official main push , return lol

  * `role`

    string

    Theme status. Valid enumeration values ​​include:
    ● published: The topic has been published
    ● unpublished: The topic is to be published
    ● development: The topic is in development

  * `theme_type_version`

    string

    Theme version identifier

  * `update_at`

    string

    Update time ISO 8601

  * `create_at`

    string

    Create time ISO 8601

  * `id`

    string

    Theme id


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "description": "Delete existing theme",
  "externalDocs": {
    "description": "Permission point used by the interface is `write_content` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "Um4BWawG",
  "parameters": [
    {
      "name": "theme_id",
      "in": "path",
      "description": "Theme id",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "theme_id",
        "description": "Theme id",
        "type": "string",
        "example": "627d1003d4baa549bf5b83f9"
      },
      "example": "627d1003d4baa549bf5b83f9",
      "examples": {
        "Delete theme": {
          "value": "63889af46841fe15da877e2b"
        }
      }
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API. Please refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then put the obtained access token into the API request header in Bearer Token.",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "theme": {
                "name": "theme",
                "description": "Theme information",
                "type": "object",
                "properties": {
                  "name": {
                    "name": "name",
                    "description": "Theme name",
                    "type": "string",
                    "example": "demo_theme"
                  },
                  "original_theme_id": {
                    "name": "original_theme_id",
                    "description": "Official theme template id , if the theme is not from the official main push , return lol",
                    "type": "string",
                    "example": "627d1003d4baa549bf5b83f9"
                  },
                  "role": {
                    "name": "role",
                    "description": "Theme status. Valid enumeration values ​​include:\n● published: The topic has been published\n● unpublished: The topic is to be published\n● development: The topic is in development",
                    "type": "string",
                    "example": "published"
                  },
                  "theme_type_version": {
                    "name": "theme_type_version",
                    "description": "Theme version identifier",
                    "type": "string",
                    "example": "2.1"
                  },
                  "update_at": {
                    "name": "update_at",
                    "description": "Update time ISO 8601",
                    "type": "string",
                    "example": "2022-02-25T16:15:47+08:00"
                  },
                  "create_at": {
                    "name": "create_at",
                    "description": "Create time ISO 8601",
                    "type": "string",
                    "example": "2022-08-03T10:45:00+08:00\t\n"
                  },
                  "id": {
                    "name": "id",
                    "description": "Theme id",
                    "type": "string",
                    "example": "627d1003d4baa549bf5b83f9"
                  }
                },
                "example": {
                  "create_at": "2022-08-03T10:45:00+08:00\t\n",
                  "id": "627d1003d4baa549bf5b83f9",
                  "name": "demo_theme",
                  "original_theme_id": "627d1003d4baa549bf5b83f9",
                  "role": "published",
                  "theme_type_version": "2.1",
                  "update_at": "2022-02-25T16:15:47+08:00"
                }
              }
            },
            "example": {
              "theme": {
                "theme_type_version": "2.1",
                "update_at": "2022-02-25T16:15:47+08:00",
                "create_at": "2022-08-03T10:45:00+08:00\t\n",
                "id": "627d1003d4baa549bf5b83f9",
                "name": "demo_theme",
                "original_theme_id": "627d1003d4baa549bf5b83f9",
                "role": "published"
              }
            }
          },
          "examples": {
            "Delete theme": {
              "value": {
                "theme": {
                  "update_at": "2022-12-26T20:53:26+08:00",
                  "create_at": "2022-12-01T20:15:48+08:00",
                  "id": "63889af46841fe15da877e2b",
                  "name": "Arise21",
                  "original_theme_id": "62319e9585f4b048db79a50e",
                  "role": "unpublished"
                }
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "delete",
  "path": "/themes/:theme_id.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Delete theme",
    "version": "v20270301"
  },
  "authIndexes": [
    "write_content"
  ]
}
```